org.apache.solr.schema

## Class TrieLongField

- java.lang.Object
- - org.apache.solr.schema.FieldProperties
  - - org.apache.solr.schema.FieldType
    - - org.apache.solr.schema.PrimitiveFieldType
      - - org.apache.solr.schema.TrieField
        - - org.apache.solr.schema.TrieLongField

- All Implemented Interfaces:
    LongValueFieldType, NumericValueFieldType

      public class TrieLongField
      extends TrieField
      implements LongValueFieldType

  A numeric field that can contain 64-bit signed two's complement integer values.
  - Min Value Allowed: -9223372036854775808
  - Max Value Allowed: 9223372036854775807
  See Also:
    `Long`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.schema.TrieField

      `TrieField.TrieTypes`

    - ### Nested classes/interfaces inherited from class org.apache.solr.schema.FieldType

      `FieldType.DefaultAnalyzer, FieldType.MultiValueSelector`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.schema.TrieField

      `DEFAULT_PRECISION_STEP, precisionStep, precisionStepArg, type`

    - ### Fields inherited from class org.apache.solr.schema.FieldType

      `ANALYZER, args, CHAR_FILTER, CHAR_FILTERS, CLASS_NAME, docValuesFormat, falseProperties, FILTER, FILTERS, INDEX, INDEX_ANALYZER, MULTI_TERM, MULTI_TERM_ANALYZER, POLY_FIELD_SEPARATOR, postingsFormat, properties, QUERY, QUERY_ANALYZER, similarity, SIMILARITY, similarityFactory, TOKENIZER, trueProperties, TYPE, TYPE_NAME, typeName`

    - ### Fields inherited from class org.apache.solr.schema.FieldProperties

      `BINARY, DOC_VALUES, INDEXED, MULTIVALUED, OMIT_NORMS, OMIT_POSITIONS, OMIT_TF_POSITIONS, REQUIRED, SORT_MISSING_FIRST, SORT_MISSING_LAST, STORE_OFFSETS, STORE_TERMOFFSETS, STORE_TERMPAYLOADS, STORE_TERMPOSITIONS, STORE_TERMVECTORS, STORED, TOKENIZED, USE_DOCVALUES_AS_STORED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrieLongField()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ValueSource` | `getSingleValueSource(SortedSetSelector.Type choice, SchemaField f)` Helper method that will only be called for multivalued Trie fields that have doc values.
    `Object` | `toNativeType(Object val)` Converts any Object to a java Object native to this field type

    - ### Methods inherited from class org.apache.solr.schema.TrieField

      `checkSchemaField, createField, createFields, getFieldQuery, getMainValuePrefix, getNumericType, getPrecisionStep, getRangeQuery, getSingleValueSource, getSortField, getType, getUninversionType, getValueSource, indexedToReadable, indexedToReadable, init, isTokenized, multiValuedFieldCache, readableToIndexed, readableToIndexed, storedToIndexed, storedToReadable, toExternal, toInternal, toObject, toObject, write`

    - ### Methods inherited from class org.apache.solr.schema.FieldType

      `createField, getAnalyzerProperties, getClassArg, getDocValuesFormat, getIndexAnalyzer, getIndexOptions, getNamedPropertyValues, getNonFieldPropertyArgs, getPostingsFormat, getPrefixQuery, getQueryAnalyzer, getRewriteMethod, getSimilarity, getSimilarityFactory, getStringSort, getTypeName, hasProperty, isExplicitAnalyzer, isExplicitQueryAnalyzer, isMultiValued, isPolyField, marshalBase64SortValue, marshalSortValue, marshalStringSortValue, restrictProps, setArgs, setIndexAnalyzer, setIsExplicitAnalyzer, setIsExplicitQueryAnalyzer, setQueryAnalyzer, setSimilarity, supportsAnalyzers, toString, unmarshalBase64SortValue, unmarshalSortValue, unmarshalStringSortValue, useDocValuesAsStored`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TrieLongField

          public TrieLongField()

  - ### Method Detail

    - #### toNativeType

          public Object toNativeType(Object val)

      Description copied from class: `FieldType`
      Converts any Object to a java Object native to this field type
      Overrides:
        `toNativeType` in class `FieldType`

    - #### getSingleValueSource

          protected ValueSource getSingleValueSource(SortedSetSelector.Type choice,
                                                     SchemaField f)

      Description copied from class: `TrieField`
      Helper method that will only be called for multivalued Trie fields that have doc values. Default impl throws an error indicating that selecting a single value from this multivalued field is not supported for this field type
      Overrides:
        `getSingleValueSource` in class `TrieField`
      Parameters:
        `choice` - the selector Type to use, will never be null
        `f` - the field to use, guaranteed to be multivalued.
      See Also:
        `FieldType.getSingleValueSource(MultiValueSelector,SchemaField,QParser)`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.